# IMGMultisampledRenderToTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class IMGMultisampledRenderToTexture

    java.lang.Object
      org.lwjgl.opengles.IMGMultisampledRenderToTexture

    public final class IMGMultisampledRenderToTexture

extends java.lang.Object

Field Summary
`static int` `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG` Returned by CheckFramebufferStatus:
`static int` `GL_MAX_SAMPLES_IMG` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_RENDERBUFFER_SAMPLES_IMG` Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static int` `GL_TEXTURE_SAMPLES_IMG` Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

Method Summary
`static void` `glFramebufferTexture2DMultisampleIMG(int target, int attachment, int textarget, int texture, int level, int samples)`
`static void` `glRenderbufferStorageMultisampleIMG(int target, int samples, int internalformat, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RENDERBUFFER_SAMPLES_IMG

    public static final int GL_RENDERBUFFER_SAMPLES_IMG

  Accepted by the <pname> parameter of GetRenderbufferParameteriv:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG

    public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG

  Returned by CheckFramebufferStatus:

  See Also:
    Constant Field Values

### GL_MAX_SAMPLES_IMG

    public static final int GL_MAX_SAMPLES_IMG

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_TEXTURE_SAMPLES_IMG

    public static final int GL_TEXTURE_SAMPLES_IMG

  Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

  See Also:
    Constant Field Values

Method Detail

### glRenderbufferStorageMultisampleIMG

    public static void glRenderbufferStorageMultisampleIMG(int target,
                                                           int samples,
                                                           int internalformat,
                                                           int width,
                                                           int height)

### glFramebufferTexture2DMultisampleIMG

    public static void glFramebufferTexture2DMultisampleIMG(int target,
                                                            int attachment,
                                                            int textarget,
                                                            int texture,
                                                            int level,
                                                            int samples)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.